Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 637131 - IB700 watchdog isn't PCI
IB700 watchdog isn't PCI
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks: 634607 667091
  Show dependency treegraph
 
Reported: 2010-09-24 08:02 EDT by Richard W.M. Jones
Modified: 2011-05-16 14:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 667091 (view as bug list)
Environment:
Last Closed: 2011-01-11 11:36:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-09-24 08:02:43 EDT
Description of problem:

When I add <watchdog model='ib700'/> to the XML of a domain, libvirtd
automatically expands it to the following:

  <watchdog model='ib700' action='reset'>
    <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/> 
  </watchdog>

However, IB700 isn't a PCI device, so this looks incorrect to me ...

Version-Release number of selected component (if applicable):

libvirt-0.8.3-2.fc14.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Edit a VM's XML and add <watchdog model='ib700'/>
2. Dump the XML.
  
Actual results:

PCI <address> element has been added.

Expected results:

Shouldn't be added for IB700.

Additional info:

Note that the other type of watchdog, i6300esb, *is* a PCI
device.  Don't change that one!
Comment 1 Richard W.M. Jones 2010-09-24 08:05:55 EDT
Actually it's worse than that.  This stops you from using
IB700 at all via libvirt.  You get:

qemu-kvm: -device ib700,id=watchdog0,bus=pci.0,addr=0x5: Device 'ib700' can't go on a PCI bus

I wonder if this is a RHEL 6.0 bug / blocker?
Comment 2 Richard W.M. Jones 2011-01-11 08:40:54 EST
Patch posted upstream:

https://www.redhat.com/archives/libvir-list/2011-January/msg00389.html
Comment 3 Richard W.M. Jones 2011-01-11 11:36:07 EST
Patch accepted and pushed upstream:
http://libvirt.org/git/?p=libvirt.git;a=commitdiff;h=feddaf1dc8c14590d957ad353fc9263a80d96236

Note You need to log in before you can comment on or make changes to this bug.